#ifndef CHOPB_PARSER
#define CHOPB_PARSER

        extern int nb_par_parse;
           #ifdef IN
           #undef IN
           #endif
    


#ifdef __cplusplus
#include "cplus.h"
typedef int (pretty::** _FUNC_MEMB_CHOPB) ();
class chopb: public cplus,public virtual Parser {
    public :
    
    static int init ; 
    
    chopb () {
        ptTokenArray = _tokenArray;
        ptTokenFuncArray =(_FUNC_MEMB_CHOPB) _tokenFuncArray;
        ptTokenNbFuncArray = _tokenNbFuncArray;
        InitConst ();
        inMakeTree = 0 ;
        parse = 0 ;
        or_not_ok = 0 ;
        
    }
    
    ~chopb () {}
    
    virtual void AsLanguage () { SwitchLang("chopb");}
    
    virtual void * rootGrammar () { return (void *) this;}
    virtual int Lex() ;
    virtual int LexComment() ;
    virtual int LexEtoiEtoi() ;
    virtual int LexMeta() ;
    virtual int LexParse() ;
    virtual int LexSup() ;
    virtual PPTREE assignment_expression ( int error_free) ;
    virtual PPTREE cast_expression_value ( int error_free) ;
    virtual PPTREE exclusive_or_expression ( int error_free) ;
    virtual PPTREE expression ( int error_free) ;
    virtual int formatBeg() ;
    virtual PPTREE main_entry ( int error_free) ;
    virtual PPTREE multiplicative_expression ( int error_free) ;
    virtual PPTREE old ( int error_free) ;
    virtual PPTREE postfix_expression ( int error_free) ;
    virtual PPTREE primary_expression ( int error_free) ;
    virtual PPTREE prog ( int error_free) ;
    virtual PPTREE relational_expression ( int error_free) ;
    virtual PPTREE shift_expression ( int error_free) ;
    virtual PPTREE statement ( int error_free) ;
    virtual PPTREE take_follow ( int error_free) ;
    virtual PPTREE take_follow_list ( int error_free) ;
    virtual PPTREE take_follow_super ( int error_free) ;
    
    
    int inMakeTree;
    int parse;
    int or_not_ok;
    static signed char * _tokenArray [147];
    static int (chopb::*(_tokenFuncArray [147])) ();
    static int _tokenNbFuncArray [147];

    virtual int SortKeyWord (int ret);
    virtual int UpSortKeyWord (int ret); 
    virtual void InitConst ();
    
    enum constants {
        NODE_LIST =     370 ,
        NODE_TREE =     369 ,
        SPACE =     368 ,
        SEP_OMIT =  367 ,
        SEP_BEFORE =    366 ,
        SEP_AFTER =     365 ,
        AFERAFER =  364 ,
        ALINEA =    363 ,
        CHOP_DEF =  362 ,
        NIL =   361 ,
        IN_LANG =   360 ,
        NEXT =  359 ,
        DEF_IDENT =     358 ,
        BOX =   357 ,
        EXPO =  356 ,
        EXPO_AFF =  355 ,
        ETOIETOIEGAL =  354 ,
        IN =    353 ,
        PARSE =     352 ,
        NEXTL =     351 ,
        VALUE =     350 ,
        INFESUPE =  349 ,
        FOREACH =   348 ,
        INFESEPOSUPE =  347 ,
        INFESEPBSUPE =  346 ,
        INFESEPASUPE =  345 ,
        AOUVAOUV =  344 ,
        ARRO =  343 ,
        NL_BEG =    342 ,
        TAB_BEG =   341 ,
        SPACE_BEG =     340 ,
        MAKETREE_SUP =  339 ,
        MAKETREE_INF =  338 ,
        PARSE_ELEM =    337 ,
        SIMP_ETOI =     336 ,
        ETOI_ETOI =     335 ,
        BDECR =     334 ,
        BINCR =     333 ,
        ADDR =  332 ,
        NOT =   331 ,
        LNEG =  330 ,
        POS =   329 ,
        NEG =   328 ,
        PARAM_TYPE =    327 ,
        STRING_LIST =   326 ,
        LABEL =     325 ,
        THROW_ANSI =    324 ,
        ELSE =  323 ,
        TUNSIGNED =     322 ,
        TSIGNED =   321 ,
        TIDENT =    320 ,
        TFLOAT =    319 ,
        TDOUBLE =   318 ,
        RSHI =  317 ,
        LSHI =  316 ,
        LT =    315 ,
        GT =    314 ,
        GEQU =  313 ,
        LEQU =  312 ,
        SPACE_ARROW =   311 ,
        TAB_DIRECTIVE =     310 ,
        ENUM_PARAMETERS_UNDER =     309 ,
        ENUM_VERT_VALUE =   308 ,
        PROTECT_MEMB =  307 ,
        LANGUAGE =  306 ,
        EXP =   305 ,
        ADECR =     304 ,
        AINCR =     303 ,
        ARROW =     302 ,
        REF =   301 ,
        EXP_ARRAY =     300 ,
        EXP_LIST =  299 ,
        ARROW_MEMB =    298 ,
        DOT_MEMB =  297 ,
        POINETOI =  296 ,
        TIRESUPEETOI =  295 ,
        TIRESUPE =  294 ,
        SUPESUPE =  293 ,
        INFEINFE =  292 ,
        SUPEEGAL =  291 ,
        INFEEGAL =  290 ,
        NONE =  289 ,
        NEW_DECLARATOR =    288 ,
        USING_NAMESPACE =   287 ,
        NAMESPACE_ALIAS =   286 ,
        REM =   285 ,
        DIV =   284 ,
        MUL =   283 ,
        POURC =     282 ,
        MESSAGE_MAP =   281 ,
        MACRO =     280 ,
        TCHAR =     279 ,
        TSHORT =    278 ,
        TLONG =     277 ,
        TINT =  276 ,
        OR =    275 ,
        VBARVBAR =  274 ,
        AND =   273 ,
        ETCOETCO =  272 ,
        COMPOUND_EXT =  271 ,
        EXTERNAL =  270 ,
        INITIALIZER =   269 ,
        LOR =   268 ,
        VBAR =  267 ,
        FUNC =  266 ,
        STAT_VOID =     265 ,
        TEMPLATE_DECL =     264 ,
        SUPE =  263 ,
        CLASS_PARAM =   262 ,
        EXP_SEQ =   261 ,
        LXOR =  260 ,
        CHAP =  259 ,
        EXCEPTION_LIST =    258 ,
        EXCEPTION_ANSI =    257 ,
        EXCEPTION =     256 ,
        NEQU =  255 ,
        EQU =   254 ,
        EXCLEGAL =  253 ,
        EGALEGAL =  252 ,
        PRAGMA =    251 ,
        PARAMETERS =    250 ,
        FUNC_HEADER =   249 ,
        INDENT_FUNCTION_TYPE =  248 ,
        COMMENT_PLUS =  247 ,
        COMMENT_END =   246 ,
        COMMENT_MIDDLE =    245 ,
        COMMENT_START =     244 ,
        MARGIN_VALUE =  243 ,
        BRACE_ALIGN_VALUE =     242 ,
        DECL_ALIGN =    241 ,
        ASSIGN_ALIGN =  240 ,
        SINGLE_SWITCH_INDENT_VALUE =    239 ,
        SIMPLIFY_VALUE =    238 ,
        SIMPLIFY =  237 ,
        MODE_VALUE =    236 ,
        TAB_VALUE =     235 ,
        CONFIG =    234 ,
        NO_PRETTY =     233 ,
        ALINE =     232 ,
        ERROR =     231 ,
        UNDEF =     230 ,
        TYP_AFF_CALL =  229 ,
        MEMBER_DECLARATOR =     228 ,
        TYP_ARRAY =     227 ,
        CFER =  226 ,
        COUV =  225 ,
        FOR_DECLARATION =   224 ,
        DECLARATION =   223 ,
        CTOR_INITIALIZER =  222 ,
        CTOR_INIT =     221 ,
        LONGLONG =  220 ,
        IUNLONGLONG =   219 ,
        IUNLONG =   218 ,
        IUN =   217 ,
        ILONGLONG =     216 ,
        ILONG =     215 ,
        RANGE_MODIFIER =    214 ,
        COND_AFF =  213 ,
        INTE =  212 ,
        COMPOUND =  211 ,
        CLASS_DECL =    210 ,
        AFER =  209 ,
        CATCH_ANSI =    208 ,
        EXCEPT_ANSI_ALL =   207 ,
        CAST =  206 ,
        DPOI =  205 ,
        TYP_BIT =   204 ,
        PROTECT =   203 ,
        BASE_LIST =     202 ,
        XOR_AFF =   201 ,
        OR_AFF =    200 ,
        AND_AFF =   199 ,
        RSH_AFF =   198 ,
        LSH_AFF =   197 ,
        MIN_AFF =   196 ,
        PLU_AFF =   195 ,
        REM_AFF =   194 ,
        DIV_AFF =   193 ,
        MUL_AFF =   192 ,
        AFF =   191 ,
        VAR_LIST =  190 ,
        TYP_LIST =  189 ,
        TYP_AFF =   188 ,
        ABST_DECLARATOR =   187 ,
        DECLARATOR =    186 ,
        POINPOINPOIN =  185 ,
        LAND =  184 ,
        INIT_NEW =  183 ,
        VIRG =  182 ,
        QUALIFIED =     181 ,
        MINUS =     180 ,
        TYP =   179 ,
        PFER =  178 ,
        DESTRUCT =  177 ,
        TYP_REF =   176 ,
        TYP_ADDR =  175 ,
        INFE =  174 ,
        DEFAULT =   173 ,
        CASE =  172 ,
        USING =     171 ,
        NAMESPACE =     170 ,
        TYPEDEF =   169 ,
        TEMPLATE =  168 ,
        CATCH =     167 ,
        PUBLIC =    166 ,
        PROTECTED =     165 ,
        PRIVATE =   164 ,
        CHAPEGAL =  163 ,
        VBAREGAL =  162 ,
        ETCOEGAL =  161 ,
        SUPESUPEEGAL =  160 ,
        INFEINFEEGAL =  159 ,
        TIREEGAL =  158 ,
        PLUSEGAL =  157 ,
        POURCEGAL =     156 ,
        ETOIEGAL =  155 ,
        EGAL =  154 ,
        ASM =   153 ,
        VA_ARG =    152 ,
        DELETE =    151 ,
        NEW =   150 ,
        SIZEOF =    149 ,
        TIRETIRE =  148 ,
        PLUSPLUS =  147 ,
        EXCL =  146 ,
        PLUS =  145 ,
        TIRE =  144 ,
        POUV =  143 ,
        TRY =   142 ,
        THROW =     141 ,
        FORALLSONS =    140 ,
        WHILE =     139 ,
        SWITCH =    138 ,
        RETURN =    137 ,
        PVIR =  136 ,
        IF =    135 ,
        FOR =   134 ,
        AOUV =  133 ,
        DO =    132 ,
        CONTINUE =  131 ,
        BREAK =     130 ,
        OPERATOR =  129 ,
        TILD =  128 ,
        ETCO =  127 ,
        ETOI =  126 ,
        SHORT =     125 ,
        UNSIGNED =  124 ,
        SIGNED =    123 ,
        LONG =  122 ,
        DPOIDPOI =  121 ,
        VOID =  120 ,
        FLOAT =     119 ,
        CHAR =  118 ,
        INT =   117 ,
        DOUBLE =    116 ,
        CLASS =     115 ,
        UNION =     114 ,
        STRUCT =    113 ,
        ENUM =  112 ,
        CONST =     111 ,
        FRIEND =    110 ,
        VIRTUAL =   109 ,
        INLINE =    108 ,
        VOLATILE =  107 ,
        REGISTER =  106 ,
        EXTERN =    105 ,
        STATIC =    104 ,
        AUTO =  103 ,
        FUNC_SPEC =     102 ,
        TRY_UPPER =     101 ,
        END_CATCH =     100 ,
        END_CATCH_ALL =     99 ,
        AND_CATCH =     98 ,
        CATCH_UPPER =   97 ,
        CATCH_ALL =     96 ,
        END_MESSAGE_MAP =   95 ,
        BEGIN_MESSAGE_MAP =     94 ,
        DECLARE_MESSAGE_MAP =   93 ,
        IMPLEMENT_SERIAL =  92 ,
        IMPLEMENT_DYNCREATE =   91 ,
        IMPLEMENT_DYNAMIC =     90 ,
        DECLARE_SERIAL =    89 ,
        DECLARE_DYNAMIC =   88 ,
        PUSH_FUNCTION =     87 ,
        PUSH_ARGUMENT =     86 ,
        UNDEF_CONTENT =     85 ,
        SMALL_PRAGMA_CONTENT =  84 ,
        PRAGMA_CONTENT =    83 ,
        PRAGMA_ENUM_VERT =  82 ,
        PRAGMA_SPACE_ARROW =    81 ,
        PRAGMA_PARAMETERS =     80 ,
        PRAGMA_PARAMETERS_UNDER =   79 ,
        PRAGMA_FUNC_HEADER =    78 ,
        PRAGMA_INDENT_FUNCTION_TYPE =   77 ,
        PRAGMA_COMMENT_PLUS =   76 ,
        PRAGMA_COMMENT_END =    75 ,
        PRAGMA_COMMENT_MIDDLE =     74 ,
        PRAGMA_COMMENT_START =  73 ,
        PRAGMA_MARGIN =     72 ,
        PRAGMA_DECL_ALIGN =     71 ,
        PRAGMA_ASSIGN_ALIGN =   70 ,
        PRAGMA_SINGLE_SWITCH_INDENT =   69 ,
        PRAGMA_SIMPLIFY =   68 ,
        PRAGMA_BRACE_ALIGN =    67 ,
        PRAGMA_MODE =   66 ,
        PRAGMA_RANGE =  65 ,
        PRAGMA_TAB =    64 ,
        PRAGMA_TAB_DIRECTIVE =  63 ,
        PRAGMA_CONFIG =     62 ,
        PRAGMA_NOPRETTY =   61 ,
        PRAGMA_PRETTY =     60 ,
        INCLUDE_LOCAL =     59 ,
        INCLUDE_SYS =   58 ,
        END_LINE =  57 ,
        DEFINE_NAME =   56 ,
        DEFINED_NOT_CONTINUED =     55 ,
        DEFINED_CONTINUED =     54 ,
        POINT =     53 ,
        SLAS =  52 ,
        SLASEGAL =  51 ,
        CARRIAGE_RETURN =   50 ,
        UNDEF_DIR =     49 ,
        DEFINE_DIR =    48 ,
        ERROR_DIR =     47 ,
        PRAGMA_DIR =    46 ,
        LINE_DIR =  45 ,
        ENDIF_DIR =     44 ,
        ELIF_DIR =  43 ,
        ELSE_DIR =  42 ,
        IF_DIR =    41 ,
        IFNDEF_DIR =    40 ,
        IFDEF_DIR =     39 ,
        INCLUDE_DIR =   38 ,
        OCTAL =     37 ,
        UOCTAL =    36 ,
        LOCTAL =    35 ,
        ULOCTAL =   34 ,
        LLOCTAL =   33 ,
        ULLOCTAL =  32 ,
        HEXA =  31 ,
        UHEXA =     30 ,
        LHEXA =     29 ,
        LLHEXA =    28 ,
        ULLHEXA =   27 ,
        ULHEXA =    26 ,
        INTEGER =   25 ,
        FLOATVAL =  24 ,
        UINTEGER =  23 ,
        LINTEGER =  22 ,
        LLINTEGER =     21 ,
        ULLINTEGER =    20 ,
        ULINTEGER =     19 ,
        CHARACT =   18 ,
        STRING =    17 ,
        IDENT =     16 ,
        GOTO_REL =  15 ,
        GOTO =  14 ,
        STR =   13 ,
        UNMARK =    12 ,
        MARK =  11 ,
        TAB_VIRT =  10 ,
        TAB =   9 ,
        NEWLINE =   8 ,
        ATTRIBUTS =     7 ,
        PLUS____TIRETIRETIRETIRETIRETIRE____ =  6 ,
        PLACE_HOLD_CONST
    } ; 
} ; 

extern chopb * parser_chopb;

#endif
#define NODE_LIST_chopb     370
#define NODE_TREE_chopb     369
#define SPACE_chopb     368
#define SEP_OMIT_chopb  367
#define SEP_BEFORE_chopb    366
#define SEP_AFTER_chopb     365
#define AFERAFER_chopb  364
#define ALINEA_chopb    363
#define CHOP_DEF_chopb  362
#define NIL_chopb   361
#define IN_LANG_chopb   360
#define NEXT_chopb  359
#define DEF_IDENT_chopb     358
#define BOX_chopb   357
#define EXPO_chopb  356
#define EXPO_AFF_chopb  355
#define ETOIETOIEGAL_chopb  354
#define IN_chopb    353
#define PARSE_chopb     352
#define NEXTL_chopb     351
#define VALUE_chopb     350
#define INFESUPE_chopb  349
#define FOREACH_chopb   348
#define INFESEPOSUPE_chopb  347
#define INFESEPBSUPE_chopb  346
#define INFESEPASUPE_chopb  345
#define AOUVAOUV_chopb  344
#define ARRO_chopb  343
#define NL_BEG_chopb    342
#define TAB_BEG_chopb   341
#define SPACE_BEG_chopb     340
#define MAKETREE_SUP_chopb  339
#define MAKETREE_INF_chopb  338
#define PARSE_ELEM_chopb    337
#define SIMP_ETOI_chopb     336
#define ETOI_ETOI_chopb     335
#define BDECR_chopb     334
#define BINCR_chopb     333
#define ADDR_chopb  332
#define NOT_chopb   331
#define LNEG_chopb  330
#define POS_chopb   329
#define NEG_chopb   328
#define PARAM_TYPE_chopb    327
#define STRING_LIST_chopb   326
#define LABEL_chopb     325
#define THROW_ANSI_chopb    324
#define ELSE_chopb  323
#define TUNSIGNED_chopb     322
#define TSIGNED_chopb   321
#define TIDENT_chopb    320
#define TFLOAT_chopb    319
#define TDOUBLE_chopb   318
#define RSHI_chopb  317
#define LSHI_chopb  316
#define LT_chopb    315
#define GT_chopb    314
#define GEQU_chopb  313
#define LEQU_chopb  312
#define SPACE_ARROW_chopb   311
#define TAB_DIRECTIVE_chopb     310
#define ENUM_PARAMETERS_UNDER_chopb     309
#define ENUM_VERT_VALUE_chopb   308
#define PROTECT_MEMB_chopb  307
#define LANGUAGE_chopb  306
#define EXP_chopb   305
#define ADECR_chopb     304
#define AINCR_chopb     303
#define ARROW_chopb     302
#define REF_chopb   301
#define EXP_ARRAY_chopb     300
#define EXP_LIST_chopb  299
#define ARROW_MEMB_chopb    298
#define DOT_MEMB_chopb  297
#define POINETOI_chopb  296
#define TIRESUPEETOI_chopb  295
#define TIRESUPE_chopb  294
#define SUPESUPE_chopb  293
#define INFEINFE_chopb  292
#define SUPEEGAL_chopb  291
#define INFEEGAL_chopb  290
#define NONE_chopb  289
#define NEW_DECLARATOR_chopb    288
#define USING_NAMESPACE_chopb   287
#define NAMESPACE_ALIAS_chopb   286
#define REM_chopb   285
#define DIV_chopb   284
#define MUL_chopb   283
#define POURC_chopb     282
#define MESSAGE_MAP_chopb   281
#define MACRO_chopb     280
#define TCHAR_chopb     279
#define TSHORT_chopb    278
#define TLONG_chopb     277
#define TINT_chopb  276
#define OR_chopb    275
#define VBARVBAR_chopb  274
#define AND_chopb   273
#define ETCOETCO_chopb  272
#define COMPOUND_EXT_chopb  271
#define EXTERNAL_chopb  270
#define INITIALIZER_chopb   269
#define LOR_chopb   268
#define VBAR_chopb  267
#define FUNC_chopb  266
#define STAT_VOID_chopb     265
#define TEMPLATE_DECL_chopb     264
#define SUPE_chopb  263
#define CLASS_PARAM_chopb   262
#define EXP_SEQ_chopb   261
#define LXOR_chopb  260
#define CHAP_chopb  259
#define EXCEPTION_LIST_chopb    258
#define EXCEPTION_ANSI_chopb    257
#define EXCEPTION_chopb     256
#define NEQU_chopb  255
#define EQU_chopb   254
#define EXCLEGAL_chopb  253
#define EGALEGAL_chopb  252
#define PRAGMA_chopb    251
#define PARAMETERS_chopb    250
#define FUNC_HEADER_chopb   249
#define INDENT_FUNCTION_TYPE_chopb  248
#define COMMENT_PLUS_chopb  247
#define COMMENT_END_chopb   246
#define COMMENT_MIDDLE_chopb    245
#define COMMENT_START_chopb     244
#define MARGIN_VALUE_chopb  243
#define BRACE_ALIGN_VALUE_chopb     242
#define DECL_ALIGN_chopb    241
#define ASSIGN_ALIGN_chopb  240
#define SINGLE_SWITCH_INDENT_VALUE_chopb    239
#define SIMPLIFY_VALUE_chopb    238
#define SIMPLIFY_chopb  237
#define MODE_VALUE_chopb    236
#define TAB_VALUE_chopb     235
#define CONFIG_chopb    234
#define NO_PRETTY_chopb     233
#define ALINE_chopb     232
#define ERROR_chopb     231
#define UNDEF_chopb     230
#define TYP_AFF_CALL_chopb  229
#define MEMBER_DECLARATOR_chopb     228
#define TYP_ARRAY_chopb     227
#define CFER_chopb  226
#define COUV_chopb  225
#define FOR_DECLARATION_chopb   224
#define DECLARATION_chopb   223
#define CTOR_INITIALIZER_chopb  222
#define CTOR_INIT_chopb     221
#define LONGLONG_chopb  220
#define IUNLONGLONG_chopb   219
#define IUNLONG_chopb   218
#define IUN_chopb   217
#define ILONGLONG_chopb     216
#define ILONG_chopb     215
#define RANGE_MODIFIER_chopb    214
#define COND_AFF_chopb  213
#define INTE_chopb  212
#define COMPOUND_chopb  211
#define CLASS_DECL_chopb    210
#define AFER_chopb  209
#define CATCH_ANSI_chopb    208
#define EXCEPT_ANSI_ALL_chopb   207
#define CAST_chopb  206
#define DPOI_chopb  205
#define TYP_BIT_chopb   204
#define PROTECT_chopb   203
#define BASE_LIST_chopb     202
#define XOR_AFF_chopb   201
#define OR_AFF_chopb    200
#define AND_AFF_chopb   199
#define RSH_AFF_chopb   198
#define LSH_AFF_chopb   197
#define MIN_AFF_chopb   196
#define PLU_AFF_chopb   195
#define REM_AFF_chopb   194
#define DIV_AFF_chopb   193
#define MUL_AFF_chopb   192
#define AFF_chopb   191
#define VAR_LIST_chopb  190
#define TYP_LIST_chopb  189
#define TYP_AFF_chopb   188
#define ABST_DECLARATOR_chopb   187
#define DECLARATOR_chopb    186
#define POINPOINPOIN_chopb  185
#define LAND_chopb  184
#define INIT_NEW_chopb  183
#define VIRG_chopb  182
#define QUALIFIED_chopb     181
#define MINUS_chopb     180
#define TYP_chopb   179
#define PFER_chopb  178
#define DESTRUCT_chopb  177
#define TYP_REF_chopb   176
#define TYP_ADDR_chopb  175
#define INFE_chopb  174
#define DEFAULT_chopb   173
#define CASE_chopb  172
#define USING_chopb     171
#define NAMESPACE_chopb     170
#define TYPEDEF_chopb   169
#define TEMPLATE_chopb  168
#define CATCH_chopb     167
#define PUBLIC_chopb    166
#define PROTECTED_chopb     165
#define PRIVATE_chopb   164
#define CHAPEGAL_chopb  163
#define VBAREGAL_chopb  162
#define ETCOEGAL_chopb  161
#define SUPESUPEEGAL_chopb  160
#define INFEINFEEGAL_chopb  159
#define TIREEGAL_chopb  158
#define PLUSEGAL_chopb  157
#define POURCEGAL_chopb     156
#define ETOIEGAL_chopb  155
#define EGAL_chopb  154
#define ASM_chopb   153
#define VA_ARG_chopb    152
#define DELETE_chopb    151
#define NEW_chopb   150
#define SIZEOF_chopb    149
#define TIRETIRE_chopb  148
#define PLUSPLUS_chopb  147
#define EXCL_chopb  146
#define PLUS_chopb  145
#define TIRE_chopb  144
#define POUV_chopb  143
#define TRY_chopb   142
#define THROW_chopb     141
#define FORALLSONS_chopb    140
#define WHILE_chopb     139
#define SWITCH_chopb    138
#define RETURN_chopb    137
#define PVIR_chopb  136
#define IF_chopb    135
#define FOR_chopb   134
#define AOUV_chopb  133
#define DO_chopb    132
#define CONTINUE_chopb  131
#define BREAK_chopb     130
#define OPERATOR_chopb  129
#define TILD_chopb  128
#define ETCO_chopb  127
#define ETOI_chopb  126
#define SHORT_chopb     125
#define UNSIGNED_chopb  124
#define SIGNED_chopb    123
#define LONG_chopb  122
#define DPOIDPOI_chopb  121
#define VOID_chopb  120
#define FLOAT_chopb     119
#define CHAR_chopb  118
#define INT_chopb   117
#define DOUBLE_chopb    116
#define CLASS_chopb     115
#define UNION_chopb     114
#define STRUCT_chopb    113
#define ENUM_chopb  112
#define CONST_chopb     111
#define FRIEND_chopb    110
#define VIRTUAL_chopb   109
#define INLINE_chopb    108
#define VOLATILE_chopb  107
#define REGISTER_chopb  106
#define EXTERN_chopb    105
#define STATIC_chopb    104
#define AUTO_chopb  103
#define FUNC_SPEC_chopb     102
#define TRY_UPPER_chopb     101
#define END_CATCH_chopb     100
#define END_CATCH_ALL_chopb     99
#define AND_CATCH_chopb     98
#define CATCH_UPPER_chopb   97
#define CATCH_ALL_chopb     96
#define END_MESSAGE_MAP_chopb   95
#define BEGIN_MESSAGE_MAP_chopb     94
#define DECLARE_MESSAGE_MAP_chopb   93
#define IMPLEMENT_SERIAL_chopb  92
#define IMPLEMENT_DYNCREATE_chopb   91
#define IMPLEMENT_DYNAMIC_chopb     90
#define DECLARE_SERIAL_chopb    89
#define DECLARE_DYNAMIC_chopb   88
#define PUSH_FUNCTION_chopb     87
#define PUSH_ARGUMENT_chopb     86
#define UNDEF_CONTENT_chopb     85
#define SMALL_PRAGMA_CONTENT_chopb  84
#define PRAGMA_CONTENT_chopb    83
#define PRAGMA_ENUM_VERT_chopb  82
#define PRAGMA_SPACE_ARROW_chopb    81
#define PRAGMA_PARAMETERS_chopb     80
#define PRAGMA_PARAMETERS_UNDER_chopb   79
#define PRAGMA_FUNC_HEADER_chopb    78
#define PRAGMA_INDENT_FUNCTION_TYPE_chopb   77
#define PRAGMA_COMMENT_PLUS_chopb   76
#define PRAGMA_COMMENT_END_chopb    75
#define PRAGMA_COMMENT_MIDDLE_chopb     74
#define PRAGMA_COMMENT_START_chopb  73
#define PRAGMA_MARGIN_chopb     72
#define PRAGMA_DECL_ALIGN_chopb     71
#define PRAGMA_ASSIGN_ALIGN_chopb   70
#define PRAGMA_SINGLE_SWITCH_INDENT_chopb   69
#define PRAGMA_SIMPLIFY_chopb   68
#define PRAGMA_BRACE_ALIGN_chopb    67
#define PRAGMA_MODE_chopb   66
#define PRAGMA_RANGE_chopb  65
#define PRAGMA_TAB_chopb    64
#define PRAGMA_TAB_DIRECTIVE_chopb  63
#define PRAGMA_CONFIG_chopb     62
#define PRAGMA_NOPRETTY_chopb   61
#define PRAGMA_PRETTY_chopb     60
#define INCLUDE_LOCAL_chopb     59
#define INCLUDE_SYS_chopb   58
#define END_LINE_chopb  57
#define DEFINE_NAME_chopb   56
#define DEFINED_NOT_CONTINUED_chopb     55
#define DEFINED_CONTINUED_chopb     54
#define POINT_chopb     53
#define SLAS_chopb  52
#define SLASEGAL_chopb  51
#define CARRIAGE_RETURN_chopb   50
#define UNDEF_DIR_chopb     49
#define DEFINE_DIR_chopb    48
#define ERROR_DIR_chopb     47
#define PRAGMA_DIR_chopb    46
#define LINE_DIR_chopb  45
#define ENDIF_DIR_chopb     44
#define ELIF_DIR_chopb  43
#define ELSE_DIR_chopb  42
#define IF_DIR_chopb    41
#define IFNDEF_DIR_chopb    40
#define IFDEF_DIR_chopb     39
#define INCLUDE_DIR_chopb   38
#define OCTAL_chopb     37
#define UOCTAL_chopb    36
#define LOCTAL_chopb    35
#define ULOCTAL_chopb   34
#define LLOCTAL_chopb   33
#define ULLOCTAL_chopb  32
#define HEXA_chopb  31
#define UHEXA_chopb     30
#define LHEXA_chopb     29
#define LLHEXA_chopb    28
#define ULLHEXA_chopb   27
#define ULHEXA_chopb    26
#define INTEGER_chopb   25
#define FLOATVAL_chopb  24
#define UINTEGER_chopb  23
#define LINTEGER_chopb  22
#define LLINTEGER_chopb     21
#define ULLINTEGER_chopb    20
#define ULINTEGER_chopb     19
#define CHARACT_chopb   18
#define STRING_chopb    17
#define IDENT_chopb     16
#define GOTO_REL_chopb  15
#define GOTO_chopb  14
#define STR_chopb   13
#define UNMARK_chopb    12
#define MARK_chopb  11
#define TAB_VIRT_chopb  10
#define TAB_chopb   9
#define NEWLINE_chopb   8
#define ATTRIBUTS_chopb     7
#define PLUS____TIRETIRETIRETIRETIRETIRE_____chopb  6
#undef _Tak
#define _Tak(func) func 
#endif
